---
title: format
slug: Web/SVG/Attribute/format
tags:
  - Deprecated
  - SVG
  - SVG Attribute
---
<div>{{SVGRef}}{{deprecated_header("SVG 2")}}</div>

<p>The <strong><code>format</code></strong> attribute indicates the format of the given font.</p>

<p>Two elements are using this attribute: {{SVGElement("altGlyph")}} and {{SVGElement("glyphRef")}}</p>

<h2 id="Context_notes">Context notes</h2>

<table class="properties">
 <tbody>
  <tr>
   <th scope="row">Value</th>
   <td><code>&lt;string&gt;</code></td>
  </tr>
  <tr>
   <th scope="row">Default value</th>
   <td><em>None</em></td>
  </tr>
  <tr>
   <th scope="row">Animatable</th>
   <td>No</td>
  </tr>
 </tbody>
</table>

<dl>
 <dt><code>&lt;string&gt;</code></dt>
 <dd>
 <p>This value specifies the format of the given font.</p>

 <p>Here is a list of font formats and their strings that can be used as values for this attribute:</p>

 <table class="standard-table">
  <tbody>
   <tr>
    <th>Format string</th>
    <th>Format</th>
   </tr>
   <tr>
    <td><code>truedoc-pfr</code></td>
    <td>TrueDoc™ Portable Font Resource</td>
   </tr>
   <tr>
    <td><code>embedded-opentype</code></td>
    <td>Embedded OpenType</td>
   </tr>
   <tr>
    <td><code>type-1</code></td>
    <td>PostScript™ Type 1</td>
   </tr>
   <tr>
    <td><code>truetype</code></td>
    <td>TrueType</td>
   </tr>
   <tr>
    <td><code>opentype</code></td>
    <td>OpenType, including TrueType Open</td>
   </tr>
   <tr>
    <td><code>truetype-gx</code></td>
    <td>TrueType with GX extensions</td>
   </tr>
   <tr>
    <td><code>speedo</code></td>
    <td>Speedo</td>
   </tr>
   <tr>
    <td><code>intellifont</code></td>
    <td>Intellifont</td>
   </tr>
  </tbody>
 </table>
 </dd>
</dl>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName("SVG1.1", "text.html#GlyphRefElementFormatAttribute", "format for &lt;glyphRef&gt;")}}</td>
   <td>{{Spec2("SVG1.1")}}</td>
   <td>Initial definition for <code>&lt;glyphRef&gt;</code></td>
  </tr>
  <tr>
   <td>{{SpecName("SVG1.1", "text.html#AltGlyphElementFormatAttribute", "format for &lt;altGlyph&gt;")}}</td>
   <td>{{Spec2("SVG1.1")}}</td>
   <td>Initial definition for <code>&lt;altGlyph&gt;</code></td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("svg.elements.altGlyph.format")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="https://www.w3.org/TR/2008/REC-CSS2-20080411/fonts.html#referencing">List of font formats defined in CSS 2 (outdated specification)</a></li>
</ul>
